Bug 99431 - Kernel crash with supported pontis SP600 portable USB mp3 player.
Kernel crash with supported pontis SP600 portable USB mp3 player.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-19 06:54 EDT by Tuomo Lukka
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tuomo Lukka 2003-07-19 06:54:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
The Pontis SP600 portable MP3 (and soon also OGG player) supports Linux. The
device is handled as removable USB storage. (the stuff is already in
unusual_devs.h) This device can be connected with provided USB cable and then
mounted bu running "mount -t vfat /dev/sda1 /mnt/sp600/" for example. Then the
files can be seen in /mnt/sp600. However when I try to delete files, they seem
to delete correctly but actually they are still in the Compact Flash card. (can
be seen using windows drivers). The worst thing is that when I try to copy some
files in the device, the whole kernel crashes immedialtely (the machine just
hangs and nothing helps to make it live again).

This is really annoying, since the this portable player is one of the few, who
really advertice being supported by Linux (there is the logo in the box and some
documentation on their site: http://www.pontis.de/

The device does not need any "drivers" for Linux, so this is clearly not the
kernel tainting case. Please fix this problem, since my player is actually
unusable until there is working Linux support. (all my machines at work and home
are Linux systems.) If the player awailability becomes an issue, I am possibly
willing to buy another player and send it to you so you can make things work.


Version-Release number of selected component (if applicable):
kernel-2.4.20-18.9

How reproducible:
Didn't try

Steps to Reproduce:
1. Connect the device with the cable
2. mkdir /mnt/sp600
3. mount -t vfat /dev/sda1 /mnt/sp600/
4. cp /home/myself/something.mp3 /mnt/sp600
Crash...


Actual Results:  the machine hanged completely.

Expected Results:  The files should have been transferred to Compact Flash card.

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:41:19 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.